## kup-backup 0.6.1+dfsg

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0)

set(BUILD_SHARED_LIBS ON)
add_subdirectory(libgit2-0.19.0)
include_directories(${CMAKE_SOURCE_DIR}/libgit2-0.19.0/include)
project(kup)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

if(${CMAKE_BUILD_TYPE} STREQUAL "Debug" OR ${CMAKE_BUILD_TYPE} STREQUAL "DebugFull")
  message(WARNING "enabling debug output!")
  add_definitions(-DDEBUG)
else()
  add_definitions(-DQT_NO_DEBUG_OUTPUT)
endif()

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)
include(ECMInstallIcons)

find_package(Qt5 REQUIRED COMPONENTS Widgets)
find_package(KF5 REQUIRED COMPONENTS
Solid
KIO
IdleTime
I18n
Notifications
CoreAddons
IconThemes
DBusAddons
Config
Init # needed for the kdeinit cmake macro
)

add_subdirectory(daemon)
add_subdirectory(icons)
add_subdirectory(filedigger)
add_subdirectory(kcm)
add_subdirectory(kioslave)
add_subdirectory(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== daemon/CMakeLists.txt ===

include_directories("../settings")

set(kupdaemon_SRCS
main.cpp
kupdaemon.cpp
planexecutor.cpp
edexecutor.cpp
fsexecutor.cpp
backupjob.cpp
bupjob.cpp
bupverificationjob.cpp
buprepairjob.cpp
rsyncjob.cpp
../settings/backupplan.cpp
../settings/kupsettings.cpp
)

kf5_add_kdeinit_executable(kup-daemon ${kupdaemon_SRCS})
target_link_libraries(kdeinit_kup-daemon
Qt5::Core
Qt5::DBus
Qt5::Gui
KF5::ConfigCore
KF5::KIOCore
KF5::KIOFileWidgets
KF5::IdleTime
KF5::I18n
KF5::Solid
KF5::Notifications
KF5::CoreAddons
KF5::DBusAddons
)

########### install files ###############
install(TARGETS kup-daemon ${INSTALL_TARGETS_DEFAULT_ARGS})
install(TARGETS kdeinit_kup-daemon ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES kup-daemon.desktop DESTINATION ${AUTOSTART_INSTALL_DIR})
install(FILES kupdaemon.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

=== filedigger/CMakeLists.txt ===
include_directories("../daemon")
include_directories("../kioslave")

set(filedigger_SRCS
filedigger.cpp
main.cpp
mergedvfs.cpp
mergedvfsmodel.cpp
restoredialog.cpp
restorejob.cpp
versionlistdelegate.cpp
versionlistmodel.cpp
../kioslave/vfshelpers.cpp
../kcm/dirselector.cpp
)

add_definitions(-fexceptions)

ki18n_wrap_ui(filedigger_SRCS restoredialog.ui)
add_executable(kup-filedigger ${filedigger_SRCS})
target_link_libraries(kup-filedigger
Qt5::Core
Qt5::Gui
KF5::KIOCore
KF5::KIOFileWidgets
KF5::I18n
KF5::IconThemes
git24kup
)

########### install files ###############
install(TARGETS kup-filedigger ${INSTALL_TARGETS_DEFAULT_ARGS})

=== icons/CMakeLists.txt ===
ecm_install_icons(ICONS
    sc-apps-kup.svgz
    32-actions-kuprunning.mng
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)

=== kcm/CMakeLists.txt ===

include_directories("../settings")
include_directories("../daemon")

set(kcm_kup_SRCS
backupplanwidget.cpp
dirselector.cpp
driveselection.cpp
driveselectiondelegate.cpp
folderselectionmodel.cpp
kupkcm.cpp
planstatuswidget.cpp
kbuttongroup.cpp
../settings/backupplan.cpp
../settings/kupsettings.cpp
)

add_library(kcm_kup MODULE ${kcm_kup_SRCS})

#this is a library so it needs to enforce it's translation domain, not use the application's domain.
add_definitions(-DTRANSLATION_DOMAIN="kup")

target_link_libraries(kcm_kup
Qt5::Core
Qt5::DBus
Qt5::Gui
KF5::CoreAddons
KF5::ConfigCore
KF5::KIOCore
KF5::KIOFileWidgets
KF5::Solid
KF5::I18n
)

########### install files ###############

install(TARGETS kcm_kup DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kcm_kup.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== kioslave/CMakeLists.txt ===

set(bupslave_SRCS
bupslave.cpp
bupvfs.cpp
vfshelpers.cpp
)

add_library(kio_bup MODULE ${bupslave_SRCS})
target_link_libraries(kio_bup
Qt5::Core
KF5::KIOCore
KF5::I18n
git24kup
)

install(TARGETS kio_bup DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES bup.protocol DESTINATION ${SERVICES_INSTALL_DIR})

add_definitions(-fexceptions)

=== debian/changelog ===
kup-backup (0.6.1+dfsg-1) unstable; urgency=low

  * Initial release. (Closes: #851529)

 -- Thomas Pierson <contact@thomaspierson.fr>  Sat, 22 Apr 2017 00:21:20 +0200

=== debian/control ===
Source: kup-backup
Section: kde
Priority: optional
Maintainer: Thomas Pierson <contact@thomaspierson.fr>
Build-Depends: cmake,
               debhelper (>= 9),
	       extra-cmake-modules,
               kinit-dev,
               libgit2-dev,
               libkf5coreaddons-dev,
               libkf5dbusaddons-dev,
               libkf5i18n-dev,
               libkf5kio-dev,
               libkf5solid-dev,
               libkf5idletime-dev,
               libkf5notifications-dev,
               libkf5iconthemes-dev,
               libkf5config-dev,
               qtbase5-dev
Standards-Version: 3.9.8
Homepage: https://www.linux-apps.com/p/1127689/
Vcs-Git: https://framagit.org/thomaspierson/pkg-kup-backup.git
Vcs-Browser: https://framagit.org/thomaspierson/pkg-kup-backup/

Package: kup-backup
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: bup, rsync
Description: backup tool for KDE's Plasma desktop
 Kup is a backup tool for KDE's Plasma desktop created for helping people to
 keep up-to-date backups of their personal files.
 .
 Features :
  - Incremental backup archive with the use of "bup".
  - Synchronized folders with the use of "rsync".
  - Support for local filesystem or external usb storage.
  - Monitor availibilty of backup destination.
  - Integration into KDE's Plasma desktop.

## kup-backup 0.7.1%2Bdfsg

=== debian/changelog ===
kup-backup (0.7.1+dfsg-1+rb2) UNRELEASED; urgency=medium

  * update

 -- Thomas Pierson <contact@thomaspierson.fr>  Fri, 22 Jan 2021 11:46:24 +0800

kup-backup (0.7.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.3.
  * Move Vcs repository links to salsa.

 -- Thomas Pierson <contact@thomaspierson.fr>  Fri, 12 Jan 2018 15:23:01 +0100

kup-backup (0.7.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove the use-system-libgit2 patch now integrated by upstream.
  * Add cmake option USE_SYSTEM_LIBGIT2 to debian/rules.
  * Bump Standards-Version to 4.1.1.
  * Add a new build-depends on libkf5plasma-dev.

 -- Thomas Pierson <contact@thomaspierson.fr>  Sun, 12 Nov 2017 19:40:07 +0100

## kup-backup 0.7.1+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,22 @@
 cmake_minimum_required(VERSION 3.0)
-
-set(BUILD_SHARED_LIBS ON)
-add_subdirectory(libgit2-0.19.0)
-include_directories(${CMAKE_SOURCE_DIR}/libgit2-0.19.0/include)
-project(kup)
 
 find_package(ECM REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
+
+project(kup)
+
+# Use this option if you want to use the system LibGit2 library.
+# This is not recommended unless you know what you are doing.
+option(USE_SYSTEM_LIBGIT2 "Don't set this option unless your are sure that your system version of LibGit2 library is fully compatible with Kup." OFF)
+if (USE_SYSTEM_LIBGIT2)
+  find_package(LibGit2 REQUIRED)
+  set(libgit_link_name git2)
+else (USE_SYSTEM_LIBGIT2)
+  set(BUILD_SHARED_LIBS ON)
+  add_subdirectory(libgit2-0.19.0)
+  include_directories(${CMAKE_SOURCE_DIR}/libgit2-0.19.0/include)
+  set(libgit_link_name git24kup)
+endif (USE_SYSTEM_LIBGIT2)
 
 if(${CMAKE_BUILD_TYPE} STREQUAL "Debug" OR ${CMAKE_BUILD_TYPE} STREQUAL "DebugFull")
   message(WARNING "enabling debug output!")
@@ -35,14 +45,19 @@
 DBusAddons
 Config
 Init # needed for the kdeinit cmake macro
+JobWidgets
+Plasma
 )
 
 add_subdirectory(daemon)
+add_subdirectory(dataengine)
 add_subdirectory(icons)
 add_subdirectory(filedigger)
 add_subdirectory(kcm)
 add_subdirectory(kioslave)
 add_subdirectory(po)
 
+plasma_install_package(plasmoid org.kde.kupapplet)
+
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== daemon/CMakeLists.txt ===
--- 
+++ 
@@ -14,6 +14,7 @@
 rsyncjob.cpp
 ../settings/backupplan.cpp
 ../settings/kupsettings.cpp
+../settings/kuputils.cpp
 )
 
 kf5_add_kdeinit_executable(kup-daemon ${kupdaemon_SRCS})
@@ -30,6 +31,7 @@
 KF5::Notifications
 KF5::CoreAddons
 KF5::DBusAddons
+KF5::JobWidgets
 )
 
 ########### install files ###############

=== dataengine/CMakeLists.txt ===
#this is a library so it needs to enforce it's translation domain, not use the application's domain.
add_definitions(-DTRANSLATION_DOMAIN="kup")
include_directories("../daemon")

# Plasma Data Engine
set(plasma_engine_kup_SRCS
	kupengine.cpp
	kupservice.cpp
	kupjob.cpp
	)
add_library(plasma_engine_kup MODULE ${plasma_engine_kup_SRCS})
target_link_libraries(plasma_engine_kup
	Qt5::Network
	KF5::Plasma
)

kcoreaddons_desktop_to_json(plasma_engine_kup plasma-dataengine-kup.desktop)

install(TARGETS plasma_engine_kup DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/dataengine)
install(FILES plasma-dataengine-kup.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
install(FILES kupservice.operations DESTINATION ${PLASMA_DATA_INSTALL_DIR}/services)

=== filedigger/CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 include_directories("../daemon")
+include_directories("../kcm")
 include_directories("../kioslave")
+include_directories("../settings")
 
 set(filedigger_SRCS
 filedigger.cpp
@@ -12,6 +14,7 @@
 versionlistmodel.cpp
 ../kioslave/vfshelpers.cpp
 ../kcm/dirselector.cpp
+../settings/kuputils.cpp
 )
 
 add_definitions(-fexceptions)
@@ -25,7 +28,8 @@
 KF5::KIOFileWidgets
 KF5::I18n
 KF5::IconThemes
-git24kup
+KF5::JobWidgets
+${libgit_link_name}
 )
 
 ########### install files ###############

=== icons/CMakeLists.txt ===
ecm_install_icons(ICONS
    sc-apps-kup.svgz
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)

=== kcm/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,7 @@
 kbuttongroup.cpp
 ../settings/backupplan.cpp
 ../settings/kupsettings.cpp
+../settings/kuputils.cpp
 )
 
 add_library(kcm_kup MODULE ${kcm_kup_SRCS})

=== kioslave/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Qt5::Core
 KF5::KIOCore
 KF5::I18n
-git24kup
+${libgit_link_name}
 )
 
 install(TARGETS kio_bup DESTINATION ${PLUGIN_INSTALL_DIR})

=== po/CMakeLists.txt ===
FIND_PROGRAM(GETTEXT_MSGFMT_EXECUTABLE msgfmt)

IF(NOT GETTEXT_MSGFMT_EXECUTABLE)
	MESSAGE(
"------
                 NOTE: msgfmt not found. Translations will *not* be installed
------")
ELSE(NOT GETTEXT_MSGFMT_EXECUTABLE)
	SET(catalogname kup)

	ADD_CUSTOM_TARGET(translations ALL)

	FILE(GLOB PO_FILES *.po)

	FOREACH(_poFile ${PO_FILES})
		GET_FILENAME_COMPONENT(_poFileName ${_poFile} NAME)
		STRING(REGEX REPLACE "^${catalogname}_?" "" _langCode ${_poFileName} )
		STRING(REGEX REPLACE "\\.po$" "" _langCode ${_langCode} )

		IF( _langCode )
			GET_FILENAME_COMPONENT(_lang ${_poFile} NAME_WE)
			SET(_gmoFile ${CMAKE_CURRENT_BINARY_DIR}/${_lang}.gmo)

			ADD_CUSTOM_COMMAND(TARGET translations
			                   COMMAND ${GETTEXT_MSGFMT_EXECUTABLE} --check-header --check-domain -o ${_gmoFile} ${_poFile}
			                   DEPENDS ${_poFile})
			                   INSTALL(FILES ${_gmoFile} DESTINATION ${LOCALE_INSTALL_DIR}/${_langCode}/LC_MESSAGES/ RENAME ${catalogname}.mo)
		ENDIF( _langCode )
	ENDFOREACH(_poFile ${PO_FILES})
ENDIF(NOT GETTEXT_MSGFMT_EXECUTABLE)

=== debian/changelog ===
kup-backup (0.7.1+dfsg-1build3) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:17:38 +0100

kup-backup (0.7.1+dfsg-1build2) focal; urgency=medium

  * No-change rebuild against libgit2-28

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 30 Nov 2019 06:22:23 +0000

kup-backup (0.7.1+dfsg-1build1) cosmic; urgency=medium

  * No-change rebuild against the latest libgit2

 -- Chris Coulson <chris.coulson@canonical.com>  Wed, 30 May 2018 23:01:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: kup-backup
 Section: kde
 Priority: optional
-Maintainer: Thomas Pierson <contact@thomaspierson.fr>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Thomas Pierson <contact@thomaspierson.fr>
 Build-Depends: cmake,
                debhelper (>= 9),
 	       extra-cmake-modules,
@@ -11,16 +12,17 @@
                libkf5dbusaddons-dev,
                libkf5i18n-dev,
                libkf5kio-dev,
+               libkf5plasma-dev,
                libkf5solid-dev,
                libkf5idletime-dev,
                libkf5notifications-dev,
                libkf5iconthemes-dev,
                libkf5config-dev,
                qtbase5-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: https://www.linux-apps.com/p/1127689/
-Vcs-Git: https://framagit.org/thomaspierson/pkg-kup-backup.git
-Vcs-Browser: https://framagit.org/thomaspierson/pkg-kup-backup/
+Vcs-Git: https://salsa.debian.org/thomaspi-guest/pkg-kup-backup.git
+Vcs-Browser: https://salsa.debian.org/thomaspi-guest/pkg-kup-backup
 
 Package: kup-backup
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
        -DUSE_SYSTEM_LIBGIT2=ON

override_dh_auto_test:

## kup-backup 0.7.3+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,5 @@
 cmake_minimum_required(VERSION 3.0)
+cmake_policy(SET CMP0063 NEW)
 
 find_package(ECM REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
@@ -32,6 +33,7 @@
 include(KDECompilerSettings)
 include(FeatureSummary)
 include(ECMInstallIcons)
+include(ECMQtDeclareLoggingCategory)
 
 find_package(Qt5 REQUIRED COMPONENTS Widgets)
 find_package(KF5 REQUIRED COMPONENTS

=== daemon/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,13 @@
 ../settings/kuputils.cpp
 )
 
+ecm_qt_declare_logging_category(kupdaemon_SRCS
+    HEADER kupdaemon_debug.h
+    IDENTIFIER KUPDAEMON
+    CATEGORY_NAME kup.daemon
+    DEFAULT_SEVERITY Warning
+)
+
 kf5_add_kdeinit_executable(kup-daemon ${kupdaemon_SRCS})
 target_link_libraries(kdeinit_kup-daemon
 Qt5::Core
@@ -27,11 +34,11 @@
 KF5::KIOFileWidgets
 KF5::IdleTime
 KF5::I18n
+KF5::JobWidgets
 KF5::Solid
 KF5::Notifications
 KF5::CoreAddons
 KF5::DBusAddons
-KF5::JobWidgets
 )
 
 ########### install files ###############

=== filedigger/CMakeLists.txt ===
--- 
+++ 
@@ -17,6 +17,13 @@
 ../settings/kuputils.cpp
 )
 
+ecm_qt_declare_logging_category(filedigger_SRCS
+    HEADER kupfiledigger_debug.h
+    IDENTIFIER KUPFILEDIGGER
+    CATEGORY_NAME kup.filedigger
+    DEFAULT_SEVERITY Warning
+)
+
 add_definitions(-fexceptions)
 
 ki18n_wrap_ui(filedigger_SRCS restoredialog.ui)

=== kioslave/CMakeLists.txt ===
--- 
+++ 
@@ -3,6 +3,13 @@
 bupslave.cpp
 bupvfs.cpp
 vfshelpers.cpp
+)
+
+ecm_qt_declare_logging_category(bupslave_SRCS
+    HEADER kupkio_debug.h
+    IDENTIFIER KUPKIO
+    CATEGORY_NAME kup.kio
+    DEFAULT_SEVERITY Warning
 )
 
 add_library(kio_bup MODULE ${bupslave_SRCS})

=== debian/changelog ===
kup-backup (0.7.3+dfsg-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Pierson <contact@thomaspierson.fr>  Fri, 01 May 2020 10:41:13 +0200

## kup-backup 0.8.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Simon Persson <simon.persson@mykolab.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later

cmake_minimum_required(VERSION 3.0)
cmake_policy(SET CMP0063 NEW)

find_package(ECM REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

project(kup)

find_package(LibGit2 REQUIRED)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)
include(FeatureSummary)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)

find_package(Qt5 REQUIRED COMPONENTS Widgets)
find_package(KF5 REQUIRED COMPONENTS
Solid
KIO
IdleTime
I18n
Notifications
CoreAddons
DBusAddons
Config
Init # needed for the kdeinit cmake macro
JobWidgets
Plasma
WidgetsAddons
)

add_subdirectory(daemon)
add_subdirectory(dataengine)
add_subdirectory(icons)
add_subdirectory(filedigger)
add_subdirectory(kcm)
add_subdirectory(kioslave)

plasma_install_package(plasmoid org.kde.kupapplet)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.kup.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)


find_package(KF5I18n CONFIG REQUIRED)
ki18n_install(po)

=== daemon/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: 2020 Simon Persson <simon.persson@mykolab.com>
+#
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 include_directories("../settings")

=== dataengine/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2020 Simon Persson <simon.persson@mykolab.com>
+#
+# SPDX-License-Identifier: GPL-2.0-or-later
+
 #this is a library so it needs to enforce it's translation domain, not use the application's domain.
 add_definitions(-DTRANSLATION_DOMAIN="kup")
 include_directories("../daemon")

=== filedigger/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,7 @@
+# SPDX-FileCopyrightText: 2020 Simon Persson <simon.persson@mykolab.com>
+#
+# SPDX-License-Identifier: GPL-2.0-or-later
+
 include_directories("../daemon")
 include_directories("../kcm")
 include_directories("../kioslave")
@@ -34,9 +38,9 @@
 KF5::KIOCore
 KF5::KIOFileWidgets
 KF5::I18n
-KF5::IconThemes
 KF5::JobWidgets
-${libgit_link_name}
+KF5::WidgetsAddons
+LibGit2::LibGit2
 )
 
 ########### install files ###############

=== icons/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Simon Persson <simon.persson@mykolab.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_install_icons(ICONS
    sc-apps-kup.svgz
    DESTINATION ${ICON_INSTALL_DIR}
    THEME hicolor
)

=== kcm/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: 2020 Simon Persson <simon.persson@mykolab.com>
+#
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 include_directories("../settings")
 include_directories("../daemon")
@@ -31,6 +34,7 @@
 KF5::KIOFileWidgets
 KF5::Solid
 KF5::I18n
+KF5::WidgetsAddons
 )
 
 ########### install files ###############

=== kioslave/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# SPDX-FileCopyrightText: 2020 Simon Persson <simon.persson@mykolab.com>
+#
+# SPDX-License-Identifier: GPL-2.0-or-later
 
 set(bupslave_SRCS
 bupslave.cpp
@@ -17,7 +20,7 @@
 Qt5::Core
 KF5::KIOCore
 KF5::I18n
-${libgit_link_name}
+LibGit2::LibGit2
 )
 
 install(TARGETS kio_bup DESTINATION ${PLUGIN_INSTALL_DIR})

=== debian/changelog ===
kup-backup (0.8.0-1) unstable; urgency=medium

  * New upstream release (Closes: #971566).
  * No need to repackage upstream for dfsg anymore.
  * Remove obsolete USE_SYSTEM_LIBGIT2 option in debian/rules.
  * Bump Standards-Version to 4.5.0 and debhelper-compat to 13.
    (Closes: #944881)
  * Update debian/copyright file.

 -- Thomas Pierson <contact@thomaspierson.fr>  Mon, 05 Oct 2020 10:13:08 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: kup-backup
 Section: kde
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Thomas Pierson <contact@thomaspierson.fr>
+Maintainer: Thomas Pierson <contact@thomaspierson.fr>
 Build-Depends: cmake,
-               debhelper (>= 9),
+               debhelper-compat (= 13),
 	       extra-cmake-modules,
                kinit-dev,
                libgit2-dev,
@@ -19,7 +18,7 @@
                libkf5iconthemes-dev,
                libkf5config-dev,
                qtbase5-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: https://www.linux-apps.com/p/1127689/
 Vcs-Git: https://salsa.debian.org/thomaspi-guest/pkg-kup-backup.git
 Vcs-Browser: https://salsa.debian.org/thomaspi-guest/pkg-kup-backup

## kup-backup 0.9.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -43,12 +43,11 @@
 add_subdirectory(filedigger)
 add_subdirectory(kcm)
 add_subdirectory(kioslave)
+add_subdirectory(purger)
 
+ecm_qt_install_logging_categories(EXPORT kup DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}")
 plasma_install_package(plasmoid org.kde.kupapplet)
 install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.kup.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})
 
 feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
-
-find_package(KF5I18n CONFIG REQUIRED)
-ki18n_install(po)

=== daemon/CMakeLists.txt ===
--- 
+++ 
@@ -25,6 +25,8 @@
     IDENTIFIER KUPDAEMON
     CATEGORY_NAME kup.daemon
     DEFAULT_SEVERITY Warning
+    EXPORT kup
+    DESCRIPTION "Kup Daemon"
 )
 
 kf5_add_kdeinit_executable(kup-daemon ${kupdaemon_SRCS})

=== dataengine/CMakeLists.txt ===
--- 
+++ 
@@ -22,5 +22,5 @@
 
 install(TARGETS plasma_engine_kup DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/dataengine)
 install(FILES plasma-dataengine-kup.desktop DESTINATION ${KDE_INSTALL_KSERVICES5DIR})
-install(FILES kupservice.operations DESTINATION ${PLASMA_DATA_INSTALL_DIR}/services)
+install(FILES kupservice.operations kupdaemonservice.operations DESTINATION ${PLASMA_DATA_INSTALL_DIR}/services)

=== filedigger/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,8 @@
     IDENTIFIER KUPFILEDIGGER
     CATEGORY_NAME kup.filedigger
     DEFAULT_SEVERITY Warning
+    EXPORT kup
+    DESCRIPTION "Kup Filedigger"
 )
 
 add_definitions(-fexceptions)

=== icons/CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # SPDX-License-Identifier: GPL-2.0-or-later
 
 ecm_install_icons(ICONS
-    sc-apps-kup.svgz
+    sc-apps-kup.svg
     DESTINATION ${ICON_INSTALL_DIR}
     THEME hicolor
 )

=== kioslave/CMakeLists.txt ===
--- 
+++ 
@@ -13,6 +13,8 @@
     IDENTIFIER KUPKIO
     CATEGORY_NAME kup.kio
     DEFAULT_SEVERITY Warning
+    EXPORT kup
+    DESCRIPTION "Kup KIO slave for bup"
 )
 
 add_library(kio_bup MODULE ${bupslave_SRCS})

=== purger/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Simon Persson <simon.persson@mykolab.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later

set(purger_SRCS
purger.cpp
main.cpp
)

ecm_qt_declare_logging_category(purger_SRCS
    HEADER kuppurger_debug.h
    IDENTIFIER KUPPURGER
    CATEGORY_NAME kup.purger
    DEFAULT_SEVERITY Warning
    EXPORT kup
    DESCRIPTION "Kup Purger"
)

add_executable(kup-purger ${purger_SRCS})
target_link_libraries(kup-purger
Qt5::Widgets
KF5::I18n
KF5::CoreAddons
KF5::XmlGui
)

########### install files ###############
install(TARGETS kup-purger ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kup-backup (0.9.1-1) unstable; urgency=medium

  * New upstream release.
  * Update the Homepage in debian/control file.

 -- Thomas Pierson <contact@thomaspierson.fr>  Mon, 21 Feb 2022 22:43:33 +0100

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
                libkf5config-dev,
                qtbase5-dev
 Standards-Version: 4.5.0
-Homepage: https://www.linux-apps.com/p/1127689/
+Homepage: https://apps.kde.org/fr/kup/
 Vcs-Git: https://salsa.debian.org/thomaspi-guest/pkg-kup-backup.git
 Vcs-Browser: https://salsa.debian.org/thomaspi-guest/pkg-kup-backup

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg(\.\d+)?$//,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/kup-$1\.tar\.gz/ \
  https://github.com/spersson/Kup/releases .*/archive/kup\-(\d\S+)\.tar\.gz

## kup-backup 0.10.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Simon Persson <simon.persson@mykolab.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later

cmake_minimum_required(VERSION 3.16)

set(KF_MIN_VERSION "5.96.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.84.0")
set(CMAKE_CXX_STANDARD 17)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

project(kup)

find_package(LibGit2 REQUIRED)

add_definitions(-DQT_NO_URL_CAST_FROM_STRING)

include(KDEInstallDirs)
include(KDEClangFormat)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEGitCommitHooks)

include(FeatureSummary)
include(ECMInstallIcons)
include(ECMQtDeclareLoggingCategory)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

find_package(Qt${QT_MAJOR_VERSION} REQUIRED COMPONENTS Core Widgets)
find_package(KF${QT_MAJOR_VERSION} ${KF_MIN_VERSION} REQUIRED COMPONENTS
Solid
KIO
IdleTime
I18n
Notifications
CoreAddons
DBusAddons
Config
JobWidgets
WidgetsAddons
XmlGui
KCMUtils
)


if(QT_MAJOR_VERSION STREQUAL "6")
    find_package(Plasma REQUIRED)
    find_package(Plasma5Support REQUIRED)
    plasma_install_package(plasmoid-qt6 org.kde.kupapplet)
else()
    find_package(KF5Plasma REQUIRED)
    plasma_install_package(plasmoid-qt5 org.kde.kupapplet)
endif()

add_subdirectory(daemon)
add_subdirectory(dataengine)
add_subdirectory(icons)
add_subdirectory(filedigger)
add_subdirectory(kcm)
add_subdirectory(kioworker)
add_subdirectory(purger)

ecm_qt_install_logging_categories(EXPORT kup DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}")
ki18n_install(po)
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/org.kde.kup.appdata.xml DESTINATION ${KDE_INSTALL_METAINFODIR})

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.hpp *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

=== daemon/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Simon Persson <simon.persson@mykolab.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later

include_directories("../settings")

set(kupdaemon_SRCS
main.cpp
kupdaemon.cpp
planexecutor.cpp
edexecutor.cpp
fsexecutor.cpp
backupjob.cpp
bupjob.cpp
bupverificationjob.cpp
buprepairjob.cpp
rsyncjob.cpp
../settings/backupplan.cpp
../settings/kupsettings.cpp
../settings/kuputils.cpp
)

ecm_qt_declare_logging_category(kupdaemon_SRCS
    HEADER kupdaemon_debug.h
    IDENTIFIER KUPDAEMON
    CATEGORY_NAME kup.daemon
    DEFAULT_SEVERITY Warning
    EXPORT kup
    DESCRIPTION "Kup Daemon"
)

add_executable(kup-daemon ${kupdaemon_SRCS})
target_link_libraries(kup-daemon
Qt::Core
Qt::DBus
Qt::Gui
KF${QT_MAJOR_VERSION}::ConfigCore
KF${QT_MAJOR_VERSION}::KIOCore
KF${QT_MAJOR_VERSION}::KIOFileWidgets
KF${QT_MAJOR_VERSION}::IdleTime
KF${QT_MAJOR_VERSION}::I18n
KF${QT_MAJOR_VERSION}::JobWidgets
KF${QT_MAJOR_VERSION}::Solid
KF${QT_MAJOR_VERSION}::Notifications
KF${QT_MAJOR_VERSION}::CoreAddons
KF${QT_MAJOR_VERSION}::DBusAddons
)

########### install files ###############
install(TARGETS kup-daemon ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES kup-daemon.desktop DESTINATION ${KDE_INSTALL_AUTOSTARTDIR})
install(FILES kupdaemon.notifyrc DESTINATION ${KDE_INSTALL_KNOTIFYRCDIR})

=== dataengine/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Simon Persson <simon.persson@mykolab.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later

#this is a library so it needs to enforce it's translation domain, not use the application's domain.
add_definitions(-DTRANSLATION_DOMAIN="kup")
include_directories("../daemon")

# Plasma Data Engine
set(plasma_engine_kup_SRCS
	kupengine.cpp
	kupservice.cpp
	kupjob.cpp
	)
add_library(plasma_engine_kup MODULE ${plasma_engine_kup_SRCS})
target_link_libraries(plasma_engine_kup
	Qt::Network
)

if(QT_MAJOR_VERSION STREQUAL "6")
	target_link_libraries(plasma_engine_kup Plasma::Plasma5Support Plasma::Plasma)
	install(TARGETS plasma_engine_kup DESTINATION ${PLASMA5SUPPORT_DATAENGINES_PLUGINDIR})
	install(FILES kupservice.operations kupdaemonservice.operations DESTINATION ${PLASMA5SUPPORT_DATA_INSTALL_DIR}/services)
else()
	target_link_libraries(plasma_engine_kup KF5::Plasma)
	install(TARGETS plasma_engine_kup DESTINATION ${KDE_INSTALL_PLUGINDIR}/plasma/dataengine)
	install(FILES kupservice.operations kupdaemonservice.operations DESTINATION ${PLASMA_DATA_INSTALL_DIR}/services)
endif()

=== filedigger/CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 
 include_directories("../daemon")
 include_directories("../kcm")
-include_directories("../kioslave")
+include_directories("../kioworker")
 include_directories("../settings")
 
 set(filedigger_SRCS
@@ -16,7 +16,7 @@
 restorejob.cpp
 versionlistdelegate.cpp
 versionlistmodel.cpp
-../kioslave/vfshelpers.cpp
+../kioworker/vfshelpers.cpp
 ../kcm/dirselector.cpp
 ../settings/kuputils.cpp
 )
@@ -35,15 +35,16 @@
 ki18n_wrap_ui(filedigger_SRCS restoredialog.ui)
 add_executable(kup-filedigger ${filedigger_SRCS})
 target_link_libraries(kup-filedigger
-Qt5::Core
-Qt5::Gui
-KF5::KIOCore
-KF5::KIOFileWidgets
-KF5::I18n
-KF5::JobWidgets
-KF5::WidgetsAddons
+Qt::Core
+Qt::Gui
+KF${QT_MAJOR_VERSION}::KIOCore
+KF${QT_MAJOR_VERSION}::KIOFileWidgets
+KF${QT_MAJOR_VERSION}::I18n
+KF${QT_MAJOR_VERSION}::JobWidgets
+KF${QT_MAJOR_VERSION}::WidgetsAddons
+KF${QT_MAJOR_VERSION}::XmlGui
 LibGit2::LibGit2
 )
 
 ########### install files ###############
-install(TARGETS kup-filedigger ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS kup-filedigger ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== icons/CMakeLists.txt ===
--- 
+++ 
@@ -4,6 +4,6 @@
 
 ecm_install_icons(ICONS
     sc-apps-kup.svg
-    DESTINATION ${ICON_INSTALL_DIR}
+    DESTINATION ${KDE_INSTALL_ICONDIR}
     THEME hicolor
 )

=== kcm/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Simon Persson <simon.persson@mykolab.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later

include_directories("../settings")
include_directories("../daemon")

set(kcm_kup_SRCS
backupplanwidget.cpp
dirselector.cpp
driveselection.cpp
driveselectiondelegate.cpp
folderselectionmodel.cpp
kupkcm.cpp
planstatuswidget.cpp
kbuttongroup.cpp
../settings/backupplan.cpp
../settings/kupsettings.cpp
../settings/kuputils.cpp
)

kcoreaddons_add_plugin(kcm_kup SOURCES ${kcm_kup_SRCS} INSTALL_NAMESPACE "plasma/kcms/systemsettings_qwidgets")

#this is a library so it needs to enforce it's translation domain, not use the application's domain.
add_definitions(-DTRANSLATION_DOMAIN="kup")

target_link_libraries(kcm_kup
Qt::Core
Qt::DBus
Qt::Gui
KF${QT_MAJOR_VERSION}::CoreAddons
KF${QT_MAJOR_VERSION}::ConfigCore
KF${QT_MAJOR_VERSION}::KIOCore
KF${QT_MAJOR_VERSION}::KIOFileWidgets
KF${QT_MAJOR_VERSION}::Solid
KF${QT_MAJOR_VERSION}::I18n
KF${QT_MAJOR_VERSION}::WidgetsAddons
KF${QT_MAJOR_VERSION}::ConfigWidgets
)

if(QT_MAJOR_VERSION STREQUAL "6")
    target_link_libraries(kcm_kup KF${QT_MAJOR_VERSION}::KCMUtils)
endif()

kcmutils_generate_desktop_file(kcm_kup)

=== kioworker/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Simon Persson <simon.persson@mykolab.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later

set(bupworker_SRCS
bupworker.cpp
bupvfs.cpp
vfshelpers.cpp
)

ecm_qt_declare_logging_category(bupworker_SRCS
    HEADER kupkio_debug.h
    IDENTIFIER KUPKIO
    CATEGORY_NAME kup.kio
    DEFAULT_SEVERITY Warning
    EXPORT kup
    DESCRIPTION "Kup KIO worker for bup"
)

add_library(kio_bup MODULE ${bupworker_SRCS})
target_link_libraries(kio_bup
Qt::Core
KF${QT_MAJOR_VERSION}::KIOCore
KF${QT_MAJOR_VERSION}::I18n
LibGit2::LibGit2
)

install(TARGETS kio_bup DESTINATION ${KDE_INSTALL_PLUGINDIR}/kf${QT_MAJOR_VERSION}/kio)

add_definitions(-fexceptions)

=== purger/CMakeLists.txt ===
--- 
+++ 
@@ -18,11 +18,11 @@
 
 add_executable(kup-purger ${purger_SRCS})
 target_link_libraries(kup-purger
-Qt5::Widgets
-KF5::I18n
-KF5::CoreAddons
-KF5::XmlGui
+Qt::Widgets
+KF${QT_MAJOR_VERSION}::I18n
+KF${QT_MAJOR_VERSION}::CoreAddons
+KF${QT_MAJOR_VERSION}::XmlGui
 )
 
 ########### install files ###############
-install(TARGETS kup-purger ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS kup-purger ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
kup-backup (0.10.0-1ubuntu1) questing; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Build with dh-sequence-kf6.
    - Update build depends from cmake.
    - Rules-Requires-Root: no
    - Add qml module runtime depends.
    - Remove gbp.conf

 -- Rik Mills <rikmills@kde.org>  Mon, 12 May 2025 09:41:07 +0100

kup-backup (0.10.0-1) unstable; urgency=medium

  [ Benxi Yang ]
  * New upstream release. (Closes: #1033560, #1099034)
  * Update the Homepage in debian/control file.
  * Update maintainer and uploader. (Closes: #1093521)
  * Update watchfile so it can track upstream newest release tarball.
  * Add upstream developer public key.
  * Update dependency list to use Qt6. (Closes: #1091413, #1092835)
  * Default to built with QT6 in debian/rules as suggested by Rik Mills.
  * Update copyright file.
  * Update lintian override file.
  * Add manpage for kup-purger.
  * Update standards version to 4.7.2, no changes needed.
  * Add metadata file.
  * Update VCS-Git and VCS-Browser link.

 -- Benxi Yang <ybx332@gmail.com>  Wed, 02 Apr 2025 11:08:36 +0800

kup-backup (0.10.0-0ubuntu3) plucky; urgency=medium

  * No-change rebuild against libgit2 1.9.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 22 Feb 2025 00:10:40 -0600

kup-backup (0.10.0-0ubuntu2) plucky; urgency=medium

   * No-change rebuild for libgit2 (LP: #2089696)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 26 Nov 2024 17:52:39 +0100

kup-backup (0.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (0.10.0)
  * Kubuntu Vcs and maintainer fields.
  * Switch build to Qt6/KF6.
  * Bump standards to 4.7.0
  * Add Qt6/KF6 runtime qml module depends.

 -- Rik Mills <rikmills@kde.org>  Tue, 29 Oct 2024 19:20:59 +0000

kup-backup (0.9.1-2) unstable; urgency=medium

  * Orphan package, set maintainer to Debian QA Group. (See: #1093521)

 -- Thomas Pierson <contact@thomaspierson.fr>  Sun, 19 Jan 2025 15:50:22 +0100

kup-backup (0.9.1-1build5) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 09:11:19 +0000

kup-backup (0.9.1-1build4) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 05:29:20 +0000

kup-backup (0.9.1-1build3) noble; urgency=medium

  * Rebuild against 'new libgit2-1.7'.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 04 Dec 2023 09:36:01 +0100

kup-backup (0.9.1-1build2) lunar; urgency=medium

  * Rebuild against latest libgit2

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 21 Jan 2023 18:52:20 -0500

kup-backup (0.9.1-1build1) kinetic; urgency=medium

  * No-change rebuild against libgit2-1.3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 20 May 2022 23:04:44 +0000

=== debian/control ===
Source: kup-backup
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Thomas Pierson <contact@thomaspierson.fr>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-sequence-kf6,
               extra-cmake-modules,
               libgit2-dev,
               libkf6config-dev,
               libkf6coreaddons-dev,
               libkf6dbusaddons-dev,
               libkf6i18n-dev,
               libkf6idletime-dev,
               libkf6jobwidgets-dev,
               libkf6kcmutils-dev,
               libkf6kio-dev,
               libkf6notifications-dev,
               libkf6solid-dev,
               libkf6widgetsaddons-dev,
               libkf6xmlgui-dev,
               libplasma-dev,
               libplasma5support-dev,
               libxkbcommon-dev,
               qt6-base-dev,
Standards-Version: 4.7.2
Homepage: https://apps.kde.org/kup/
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kup
Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kup
Rules-Requires-Root: no

Package: kup-backup
Architecture: any
Depends: qml6-module-org-kde-kcmutils,
         qml6-module-org-kde-kirigami,
         qml6-module-org-kde-kquickcontrolsaddons,
         qml6-module-qtquick,
         qml6-module-qtquick-layouts,
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: bup, rsync,
Description: backup tool for KDE's Plasma desktop
 Kup is a backup tool for KDE's Plasma desktop created for helping people to
 keep up-to-date backups of their personal files.
 .
 Features :
  - Incremental backup archive with the use of "bup".
  - Synchronized folders with the use of "rsync".
  - Support for local filesystem or external usb storage.
  - Monitor availability of backup destination.
  - Integration into KDE's Plasma desktop.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DQT_MAJOR_VERSION=6

override_dh_auto_test:

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/kup/kup-([\d.]+)\.tar\.xz

## kup-backup 0.10.0+p24.04+vstable+git20250930.0454

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vstable+git20250930.0454-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 30 Sep 2025 04:54:05 +0000

kup-backup (0.10.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 31 May 2024 11:02:14 +0000

## kup-backup 0.10.0+p24.04+vstable+git20251005.1054

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vstable+git20251005.1054-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 05 Oct 2025 10:54:37 +0000

## kup-backup 0.10.0+p24.04+vstable+git20251012.0119

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vstable+git20251012.0119-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 12 Oct 2025 01:19:26 +0000

## kup-backup 0.10.0+p24.04+vstable+git20251019.0357

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vstable+git20251019.0357-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 03:57:13 +0000

## kup-backup 0.10.0+p24.04+vstable+git20251024.0243

=== daemon/CMakeLists.txt ===
--- 
+++ 
@@ -44,6 +44,7 @@
 KF${QT_MAJOR_VERSION}::Notifications
 KF${QT_MAJOR_VERSION}::CoreAddons
 KF${QT_MAJOR_VERSION}::DBusAddons
+KF${QT_MAJOR_VERSION}::Crash
 )
 
 ########### install files ###############

=== filedigger/CMakeLists.txt ===
--- 
+++ 
@@ -43,6 +43,7 @@
 KF${QT_MAJOR_VERSION}::JobWidgets
 KF${QT_MAJOR_VERSION}::WidgetsAddons
 KF${QT_MAJOR_VERSION}::XmlGui
+KF${QT_MAJOR_VERSION}::Crash
 LibGit2::LibGit2
 )

=== purger/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,7 @@
 KF${QT_MAJOR_VERSION}::I18n
 KF${QT_MAJOR_VERSION}::CoreAddons
 KF${QT_MAJOR_VERSION}::XmlGui
+KF${QT_MAJOR_VERSION}::Crash
 )
 
 ########### install files ###############

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vstable+git20251024.0243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:43:15 +0000

=== debian/control ===
Source: kup-backup
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcmutils-dev,
               kf6-kconfig-dev,
               kf6-kcoreaddons-dev,
               kf6-kdbusaddons-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-knotifications-dev,
               kf6-solid-dev,
               libgit2-dev,
               libplasma-dev,
               plasma5support-dev,
               qt6-base-dev
Standards-Version: 4.6.2
Homepage: https://apps.kde.org/fr/kup/
Vcs-Git: https://invent.kde.org/neon/forks/kup-backup.git
Vcs-Browser: https://invent.kde.org/neon/forks/kup-backup
Maintainer: Neon CI <neon@kde.org>

Package: kup-backup
Architecture: any
Depends: libplasma6, ${misc:Depends}, ${shlibs:Depends}
Recommends: bup, rsync
Description: backup tool for KDE's Plasma desktop
 Kup is a backup tool for KDE's Plasma desktop created for helping people to
 keep up-to-date backups of their personal files.
 .
 Features :
  - Incremental backup archive with the use of "bup".
  - Synchronized folders with the use of "rsync".
  - Support for local filesystem or external usb storage.
  - Monitor availibilty of backup destination.
  - Integration into KDE's Plasma desktop.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/,filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/kup-$1\.tar\.gz/ \
  https://download.kde.org/stable/kup/kup-(\d\S+).tar.xz

## kup-backup 0.10.0+p24.04+vstable+git20251028.1023

=== fileitemaction/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Simon Persson <simon.persson@mykolab.com>
#
# SPDX-License-Identifier: GPL-2.0-or-later

#this is a library so it needs to enforce it's translation domain, not use the application's domain.
add_definitions(-DTRANSLATION_DOMAIN="kup")
include_directories("../daemon")

set(kupfileitemaction_SRCS
        fileitemaction.cpp
)

kcoreaddons_add_plugin(kupfileitemaction INSTALL_NAMESPACE "kf${QT_MAJOR_VERSION}/kfileitemaction" SOURCES ${kupfileitemaction_SRCS})

target_link_libraries(kupfileitemaction
        KF${QT_MAJOR_VERSION}::I18n
        KF${QT_MAJOR_VERSION}::KIOWidgets
)

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vstable+git20251028.1023-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 28 Oct 2025 10:23:54 +0000

## kup-backup 0.10.0+p24.04+vstable+git20251231.0340

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vstable+git20251231.0340-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 31 Dec 2025 03:40:09 +0000

## kup-backup 0.10.0+p24.04+vstable+git20260103.0603

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vstable+git20260103.0603-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 03 Jan 2026 06:03:13 +0000

## kup-backup 0.10.0+p24.04+vstable+git20260113.0642

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vstable+git20260113.0642-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 06:42:25 +0000

## kup-backup 0.10.0+p24.04+vunstable+git20251015.1255

=== CMakeLists.txt ===
--- 
+++ 
@@ -44,6 +44,7 @@
 WidgetsAddons
 XmlGui
 KCMUtils
+Crash
 )
 
 
@@ -60,6 +61,7 @@
 add_subdirectory(dataengine)
 add_subdirectory(icons)
 add_subdirectory(filedigger)
+add_subdirectory(fileitemaction)
 add_subdirectory(kcm)
 add_subdirectory(kioworker)
 add_subdirectory(purger)

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vunstable+git20251015.1255-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 12:55:05 +0000

## kup-backup 0.10.0+p24.04+vunstable+git20251020.1243

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vunstable+git20251020.1243-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:43:25 +0000

## kup-backup 0.10.0+p24.04+vunstable+git20251110.1254

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vunstable+git20251110.1254-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 10 Nov 2025 12:54:15 +0000

## kup-backup 0.10.0+p24.04+vunstable+git20251123.1132

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vunstable+git20251123.1132-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 11:32:38 +0000

## kup-backup 0.10.0+p24.04+vunstable+git20260104.0309

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vunstable+git20260104.0309-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 04 Jan 2026 03:09:36 +0000

=== debian/control ===
--- 
+++ 
@@ -12,6 +12,7 @@
                kf6-kiconthemes-dev,
                kf6-kidletime-dev,
                kf6-kio-dev,
+               kf6-kirigami-dev,
                kf6-knotifications-dev,
                kf6-solid-dev,
                libgit2-dev,

## kup-backup 0.10.0+p24.04+vunstable+git20260113.0110

=== debian/changelog ===
kup-backup (0.10.0+p24.04+vunstable+git20260113.0110-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 13 Jan 2026 01:10:57 +0000
